﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width" />
    <meta name="theme-color" content="#966b2c" />
    <meta name="description" content="A classic dice game">
    <link rel="shortcut icon" type="image/x-icon" href="icon.ico" />
    <title>Modern Yacht</title>
    <!--<link href="fonts.css" rel="stylesheet"/>-->
    <style>
        body 
        {
            font-family: sans-serif;
            margin: auto 0 auto 0;
            padding: 0;
            border: none;
            display: flex;
            flex-direction: column;
            overflow: hidden;
            width: 100vw;
            height: 100vh;
            font-size: 1.1em;
            background-color: hsl(35.7,54.6%,38%);
            background-image: url("img/wood.svg");
            -ms-user-select: none;
            user-select: none;
        }
    </style>
    <link type="text/css" href="css/style.css" rel="stylesheet" />
    <link rel="manifest" href="/manifest.json" />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />
    <meta name="apple-mobile-web-app-title" content="Modern Yacht" />
    <link rel="apple-touch-icon" size="152x152" href="/img/icon152x152.png" />
    <script type="module" src="js/startup.js"></script>
    <script type="module" src="js/bundle.js"></script>
    <script defer="defer" nomodule src="js/legacy.js"></script>
</head>
<body>
    <div id="titlebar">
        <button id="menubtn" class="ctrl">
            <img src="img/menu.svg" alt="Open the menu" title="Open the menu" class="control"/>
        </button>
        <span id="selectedrow">Modern Yacht</span>
        <button id="restart" class="ctrl">
            <img src="img/x-circle.svg" alt="Start a new game" title="Start a new game" class="control"/>
        </button>
    </div>
    <form>
        <div class="table">
            <div class="upper-table colgroup">
                <div class="header">
                    <span class="diceroll">Dice:</span>
                    <span>Max:</span>
                    <span class="scoreheader">Score:</span>
                </div>
                <br />
                <input type="radio" id="ones" name="selected_row" value="0" class="invis" />
                <label class="row" id=r01 for="ones">
                    <span id=t01>Ones</span>
                    <span>5</span>
                    <span id=o01 class="output">_</span>
                </label>
                <br />
                <input type="radio" id="twos" name="selected_row" value="1" class="invis" />
                <label class="row" for="twos" id=r02>
                    <span id=t02>Twos</span>
                    <span>10</span>
                    <span id=o02 class="output">_</span>
                </label>
                <br />
                <input type="radio" id="threes" name="selected_row" value="2" class="invis" />
                <label class="row" for="threes" id=r03>
                    <span id=t03>Threes</span>
                    <span>15</span>
                    <span id=o03 class="output">_</span>
                </label>
                <br />
                <input type="radio" id="fours" name="selected_row" value="3" class="invis" />
                <label class="row" for="fours" id=r04>
                    <span id=t04>Fours</span>
                    <span>20</span>
                    <span id=o04 class="output">_</span>
                </label>
                <br />
                <input type="radio" id="fives" name="selected_row" value="4" class="invis" />
                <label class="row" for="fives" id=r05>
                    <span id=t05>Fives</span>
                    <span>25</span>
                    <span id=o05 class="output">_</span>
                </label>
                <br />
                <input type="radio" id="sixes" name="selected_row" value="5" class="invis" />
                <label class="row" for="sixes" id=r06>
                    <span id=t06>Sixes</span>
                    <span>30</span>
                    <span id=o06 class="output">_</span>
                </label>
                <div class="header" id=r07>
                    <span id=t07>Bonus</span>
                    <span>35</span>
                    <span id=o07 class="output">0</span>
                </div>
            </div>
            <div class="lower-table colgroup">
                <input type="radio" id="threekind" name="selected_row" value="6" class="invis" />
                <label class="row" for="threekind" id=r08>
                    <span id=t08>Three of a Kind</span>
                    <span>30</span>
                    <span class="output" id=o08>_</span>
                </label>
                <br />
                <input type="radio" id="fourkind" name="selected_row" value="7" class="invis" />
                <label class="row" for="fourkind" id=r09>
                    <span id=t09>Four of a Kind</span>
                    <span>30</span>
                    <span class="output" id=o09>_</span>
                </label>
                <br />
                <input type="radio" id="fullhouse" name="selected_row" value="8" class="invis" />
                <label class="row" for="fullhouse" id=r10>
                    <span id=t10>Full House</span>
                    <span>25</span>
                    <span class="output" id=o10>_</span>
                </label>
                <br />
                <input type="radio" id="smallstraight" name="selected_row" value="9" class="invis" />
                <label class="row" for="smallstraight" id=r11>
                    <span id=t11>Small Straight</span>
                    <span>30</span>
                    <span class="output" id=o11>_</span>
                </label>
                <br />
                <input type="radio" id="largestraight" name="selected_row" value="10" class="invis" />
                <label class="row" for="largestraight" id=r12>
                    <span id=t12>Large Straight</span>
                    <span>40</span>
                    <span class="output" id=o12>_</span>
                </label>
                <br />
                <input type="radio" id="yacht" name="selected_row" value="11" class="invis" />
                <label class="row" for="yacht" id=r13>
                    <span id=t13>Yacht</span>
                    <span>50</span>
                    <span class="output" id=o13>_</span>
                </label>
                <br />
                <input type="radio" id="chance" name="selected_row" value="12" class="invis" />
                <label class="row" for="chance" id=r14>
                    <span id=t14>Chance</span>
                    <span>30</span>
                    <span class="output" id=o14>_</span>
                </label>
                <br />
                <input type="radio" id="bonus" name="selected_row" value="13" class="invis" />
                <label class="row" for="bonus" id=r15>
                    <span id=t15>Yacht Bonus</span>
                    <span>inf</span>
                    <span class="output" id=o15>0</span>
                </label>
            </div>
            <div id="controls" class="colgroup">
                <div id="scorebox"><span>Sum:</span><br /><span id="score">0</span></div>
                <button id="placebutton" class="blockbutton ctrl">
                    <img src="img/edit.svg" alt="Place at selection. Click a row to place" title="Place your dice at a row" class="control" />
                </button>
                <button id="go" class="ctrl">
                    <img src="img/rotate-cw.svg" alt="Roll button" title="Roll" class="control"/>
                </button>
            </div>
        </div>
        <div id="cards">
            <input class="invis" type="checkbox" name="die1" id="die1" readonly="true"/>
            <label class=dieholder for="die1">
                <img alt="dice spot #1 is empty"
                     title="dice spot #1 is empty"
                     id="die1-img"
                     class="dice"
                     src="c/c0.svg" />
            </label>
            <input class="invis" type="checkbox" name="die2" id="die2" readonly="true"/>
            <label class=dieholder for="die2">
                <img alt="dice spot #2 is empty"
                     title="dice spot #2 is empty"
                     id="die2-img"
                     class="dice"
                     src="c/c0.svg" />
            </label>
            <input class="invis" type="checkbox" name="die3" id="die3" readonly="true"/>
            <label class=dieholder for="die3">
                <img alt="dice spot #3 is empty"
                     title="dice spot #3 is empty"
                     id="die3-img"
                     class="dice"
                     src="c/c0.svg" />
            </label>
            <input class="invis" type="checkbox" name="die4" id="die4" readonly="true"/>
            <label class=dieholder for="die4">
                <img alt="dice spot #4 is empty"
                     title="dice spot #4 is empty"
                     id="die4-img"
                     class="dice"
                     src="c/c0.svg" />
            </label>
            <input class="invis" type="checkbox" name="die5" id="die5" readonly="true"/>
            <label class=dieholder for="die5">
                <img alt="dice spot #5 is empty"
                     title="dice spot #5 is empty"
                     id="die5-img"
                     class="dice"
                     src="c/c0.svg" />
            </label>
        </div>
    </form>
    <div id="menu">
        <div id="menutitle" class="menuheader">Menu</div>
        <div id="menucontents"></div>
        <button id="menuclose">Close Menu</button>
    </div>
</body>
</html>